> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Alternatives



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/choice-comparison/alternatives
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/choice-comparison/alternatives:
    get:
      tags:
        - Slot Choice Comparison
      summary: Find Alternatives
      operationId: SlotChoiceComparisonController_findAlternatives_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: slotId
          required: true
          in: path
          schema:
            type: string
        - name: primaryItemId
          required: true
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            pattern: ^(0|[1-9]\d*)$
            type: string
        - name: expectedSlotVersion
          required: true
          in: query
          schema:
            pattern: ^(0|[1-9]\d*)$
            type: string
        - name: expectedPrimaryItemVersion
          required: true
          in: query
          schema:
            pattern: ^(0|[1-9]\d*)$
            type: string
        - name: expectedAlternativeCount
          required: true
          in: query
          schema:
            pattern: ^(0|[1-9]\d*)$
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 2048
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SlotChoiceAlternativesPageResponseDto'
      security:
        - bearer: []
components:
  schemas:
    SlotChoiceAlternativesPageResponseDto:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        schemaVersion:
          type: number
          enum:
            - 1
        context:
          $ref: '#/components/schemas/SlotChoiceComparisonContextDto'
        items:
          type: array
          items:
            $ref: '#/components/schemas/SlotChoiceProjectOptionDto'
        hasMore:
          type: boolean
      required:
        - nextCursor
        - schemaVersion
        - context
        - items
        - hasMore
    SlotChoiceComparisonContextDto:
      type: object
      properties:
        slotId:
          type: string
        slotVersion:
          type: number
        primaryItemId:
          type: string
        primaryItemVersion:
          type: number
        alternativesCount:
          type: number
      required:
        - slotId
        - slotVersion
        - primaryItemId
        - primaryItemVersion
        - alternativesCount
    SlotChoiceProjectOptionDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - project_item
        imageUrl:
          type: string
          nullable: true
        productTypeId:
          type: string
          nullable: true
        catalogItemSourceId:
          type: string
          nullable: true
        catalogConnectionMode:
          enum:
            - live
            - saved
          type: string
        savedAt:
          format: date-time
          type: string
          nullable: true
        source:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/SlotChoiceSourceDisplayDto'
        attributes:
          type: object
          additionalProperties:
            oneOf:
              - type: string
                nullable: true
              - type: number
              - type: boolean
              - type: array
                items:
                  oneOf:
                    - type: string
                    - type: number
                    - type: boolean
        id:
          type: string
        version:
          type: number
        name:
          type: string
        categoryId:
          type: string
        catalogFamilyId:
          type: string
        catalogItemId:
          type: string
      required:
        - kind
        - imageUrl
        - productTypeId
        - catalogItemSourceId
        - catalogConnectionMode
        - savedAt
        - source
        - attributes
        - id
        - version
        - name
        - categoryId
        - catalogFamilyId
        - catalogItemId
    SlotChoiceSourceDisplayDto:
      type: object
      properties:
        kind:
          enum:
            - supplier
            - estimate
          type: string
        companyName:
          type: string
          nullable: true
        officeName:
          type: string
          nullable: true
      required:
        - kind
        - companyName
        - officeName
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````